#!/usr/bin/env node
//创建一个类似于apache的程序
const http = require('http');
const fs = require('fs');
const path = require('path');
const url = require('url');
const getAddress = require('./getAddress');
const childProcess = require('child_process');
const port = 3000;

const server = http.createServer(
    //用户的每一次请求都会调用下面这个函数
    (req,res)=>{
        //res是一个可写流
        let ws = fs.createReadStream(path.resolve('./index.html'));
        ws.pipe(res);
        ws.on('end',()=>{
            res.end();
        })

})
server.listen(port,()=>{
    childProcess.spawnSync('explorer',[url.format({
        protocol:'http',
        hostname:getAddress(),
        port:port,
    })])
})
